Skip to main content
List Employees
curl --request GET \
  --url https://integration.getmateo.com/api/v1/employee \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://integration.getmateo.com/api/v1/employee"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://integration.getmateo.com/api/v1/employee', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "random uuid",
    "created_at": "now()",
    "updated_at": "now()",
    "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_admin": false,
    "username": "<string>",
    "signature": "<string>",
    "full_name": "<string>",
    "email": "<string>",
    "display_name": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Query Parameters

id
string

Employee ID

created_at
string

Employee creation date

updated_at
string

Latest update

organisation_id
string

Organisation ID

user_id
string

User ID

is_admin
string

Is employee an admin?

username
string

Name of employee

signature
string

Signature of employee

full_name
string

Name of employee

email
string

Email of employee

display_name
string

Displayed name of the employee in the Mateo app

select
string

Filtering Columns

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

200 - application/json

OK

id
string<uuid>
default:random uuid

Employee ID

created_at
string<timestamp with time zone>
default:now()

Employee creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

user_id
string<uuid> | null

User ID

is_admin
boolean<boolean> | null
default:false

Is employee an admin?

username
string<text>

Name of employee

signature
string<text> | null

Signature of employee

full_name
string<text> | null

Name of employee

email
string<text> | null

Email of employee

display_name
string<text>

Displayed name of the employee in the Mateo app